package bitgetservice

import (
	"go-admin/config"
	"go-admin/test"
	"testing"
)

func TestGetSpotSymbols(t *testing.T) {
	test.InitSettings()
	api := NewBitgetRestApi()

	symbols, err := api.GetSpotSymbols()

	if err != nil {
		t.Error(err)
	}

	t.Log(symbols)
}

// 获取交易所信息
func TestGetExchangeInfo(t *testing.T) {
	test.InitSettings()

	client, err := NewBitgetClient("", "", "", config.ExtConfig.ProxyUrl)

	if err != nil {
		t.Error(err)

	}

	data, err := client.GetExchangeInfo()

	if err != nil {
		t.Error(err)

	}

	t.Log(data)
}
